> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Redemption Reversal

> A `POST` to the `/redemptions/{redemptionId}/reversal` endpoint allows your application Reverse any Redemption created within the last 10 minutes.



## OpenAPI

````yaml post /v3/redemptions/{redemption}/reversal
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/redemptions/{redemption}/reversal:
    post:
      tags:
        - Return Strategy
      summary: Add Redemption Reversal
      description: >-
        A `POST` to the `/redemptions/{redemptionId}/reversal` endpoint allows
        your application Reverse any Redemption created within the last 10
        minutes.
      operationId: returnStrategy.reversal
      parameters:
        - name: redemption
          in: path
          required: true
          description: The redemption ID
          schema:
            type: integer
      responses:
        '200':
          description: |-
            Return the redemption.



            `SuccessfulRedemption`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/SuccessfulRedemption'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    SuccessfulRedemption:
      type: object
      properties:
        id:
          type: string
        profile_id:
          type: string
        total_localised:
          type: string
        total:
          type: string
        location_id:
          type: string
        location:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
            name:
              type: string
            description:
              type: string
            phone:
              type: string
            email:
              type: string
            external_id:
              type: string
            is_published:
              type: string
            is_permanently_closed:
              type: string
          required:
            - id
            - type
            - name
            - description
            - phone
            - email
            - external_id
            - is_published
            - is_permanently_closed
        currency:
          $ref: '#/components/schemas/Currency'
        balances:
          $ref: '#/components/schemas/Balance'
        meta:
          type: string
        transaction_external_id:
          type: string
        transaction_receipt_ref:
          type: string
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - profile_id
        - total_localised
        - total
        - location_id
        - balances
        - meta
        - transaction_external_id
        - transaction_receipt_ref
        - created_at
        - updated_at
      title: SuccessfulRedemption
    Currency:
      type: object
      properties:
        id:
          type: integer
        from:
          type: string
        to:
          type: string
        rate:
          type: number
        is_system:
          type: boolean
        created_at:
          type: string
        updated_at:
          type: string
      required:
        - id
        - from
        - to
        - rate
        - is_system
        - created_at
        - updated_at
      title: Currency
    Balance:
      type: object
      properties:
        reward_balance:
          type: string
        credit_balance:
          type: string
        point_balance:
          type: string
        point_balance_dollars:
          type: string
        benefit_balance:
          type: string
        combined_balance_dollars:
          type: string
        localised:
          type: object
          properties:
            reward_balance:
              type: string
            point_balance_dollars:
              type: string
            combined_balance_dollars:
              type: string
          required:
            - reward_balance
            - point_balance_dollars
            - combined_balance_dollars
        currency:
          $ref: '#/components/schemas/Currency'
      required:
        - reward_balance
        - credit_balance
        - point_balance
        - point_balance_dollars
        - benefit_balance
        - combined_balance_dollars
      title: Balance
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````